package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FlowBean {

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 143
         * createdByName : null
         * createdTime : 2019-11-28 10:13:57
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 59
         * type : 20
         * deptId : 119
         * accountId : 4
         * money : 1353.96
         * relOrderType : SO
         * orderId : SO10583
         * event : AUDIT_OK
         * displayType : 20
         * flowAccountId : 2
         * earlyOver : 1.0422523784E7
         * afterOver : 1.0421169824E7
         * launchDeptId : 119
         * receiveDeptId : 137
         * customerId : 41
         * supplierId : null
         * comments : null
         * remark : [销售订单下单支出] 审核通过订单款冻结
         * typeName : 支出
         * deptName : 技术中心
         * eventName :
         * flowDeptName : null
         * flowAccountName : 冻结银行
         * displayTypeName : 订单支出
         * relOrderTypeName : 销售流程
         * customerName : 安阳钢铁
         * supplierName : null
         * receiveDeptName : 锆碳公司
         * launchDeptName : 技术中心
         * createdName : 冷益飞
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private String type;
        private int deptId;
        private int accountId;
        private double money;
        private String relOrderType;
        private String orderId;
        private String event;
        private String displayType;
        private int flowAccountId;
        private double earlyOver;
        private double afterOver;
        private int launchDeptId;
        private int receiveDeptId;
        private int customerId;
        private Object supplierId;
        private String comments;
        private String remark;
        private String typeName;
        private String deptName;
        private String eventName;
        private Object flowDeptName;
        private String flowAccountName;
        private String displayTypeName;
        private String relOrderTypeName;
        private String customerName;
        private String supplierName;
        private String receiveDeptName;
        private String launchDeptName;
        private String createdName;
        private String linkSerialNumber;
        private String invoiceTypeName;
        private String createdUser;
        private String targetName;
        private String sourceName;
        private String causeText;
        private String flowAccountDeptName;

        public String getFlowAccountDeptName() {
            return flowAccountDeptName;
        }

        public void setFlowAccountDeptName(String flowAccountDeptName) {
            this.flowAccountDeptName = flowAccountDeptName;
        }

        public String getCauseText() {
            return causeText;
        }

        public void setCauseText(String causeText) {
            this.causeText = causeText;
        }

        public String getTargetName() {
            return targetName;
        }

        public void setTargetName(String targetName) {
            this.targetName = targetName;
        }

        public String getSourceName() {
            return sourceName;
        }

        public void setSourceName(String sourceName) {
            this.sourceName = sourceName;
        }

        public String getCreatedUser() {
            return createdUser;
        }

        public void setCreatedUser(String createdUser) {
            this.createdUser = createdUser;
        }

        public String getLinkSerialNumber() {
            return linkSerialNumber;
        }

        public void setLinkSerialNumber(String linkSerialNumber) {
            this.linkSerialNumber = linkSerialNumber;
        }

        public String getInvoiceTypeName() {
            return invoiceTypeName;
        }

        public void setInvoiceTypeName(String invoiceTypeName) {
            this.invoiceTypeName = invoiceTypeName;
        }

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public int getDeptId() {
            return deptId;
        }

        public void setDeptId(int deptId) {
            this.deptId = deptId;
        }

        public int getAccountId() {
            return accountId;
        }

        public void setAccountId(int accountId) {
            this.accountId = accountId;
        }

        public double getMoney() {
            return money;
        }

        public void setMoney(double money) {
            this.money = money;
        }

        public String getRelOrderType() {
            return relOrderType;
        }

        public void setRelOrderType(String relOrderType) {
            this.relOrderType = relOrderType;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getEvent() {
            return event;
        }

        public void setEvent(String event) {
            this.event = event;
        }

        public String getDisplayType() {
            return displayType;
        }

        public void setDisplayType(String displayType) {
            this.displayType = displayType;
        }

        public int getFlowAccountId() {
            return flowAccountId;
        }

        public void setFlowAccountId(int flowAccountId) {
            this.flowAccountId = flowAccountId;
        }

        public double getEarlyOver() {
            return earlyOver;
        }

        public void setEarlyOver(double earlyOver) {
            this.earlyOver = earlyOver;
        }

        public double getAfterOver() {
            return afterOver;
        }

        public void setAfterOver(double afterOver) {
            this.afterOver = afterOver;
        }

        public int getLaunchDeptId() {
            return launchDeptId;
        }

        public void setLaunchDeptId(int launchDeptId) {
            this.launchDeptId = launchDeptId;
        }

        public int getReceiveDeptId() {
            return receiveDeptId;
        }

        public void setReceiveDeptId(int receiveDeptId) {
            this.receiveDeptId = receiveDeptId;
        }

        public int getCustomerId() {
            return customerId;
        }

        public void setCustomerId(int customerId) {
            this.customerId = customerId;
        }

        public Object getSupplierId() {
            return supplierId;
        }

        public void setSupplierId(Object supplierId) {
            this.supplierId = supplierId;
        }

        public String getComments() {
            return comments;
        }

        public void setComments(String comments) {
            this.comments = comments;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getEventName() {
            return eventName;
        }

        public void setEventName(String eventName) {
            this.eventName = eventName;
        }

        public Object getFlowDeptName() {
            return flowDeptName;
        }

        public void setFlowDeptName(Object flowDeptName) {
            this.flowDeptName = flowDeptName;
        }

        public String getFlowAccountName() {
            return flowAccountName;
        }

        public void setFlowAccountName(String flowAccountName) {
            this.flowAccountName = flowAccountName;
        }

        public String getDisplayTypeName() {
            return displayTypeName;
        }

        public void setDisplayTypeName(String displayTypeName) {
            this.displayTypeName = displayTypeName;
        }

        public String getRelOrderTypeName() {
            return relOrderTypeName;
        }

        public void setRelOrderTypeName(String relOrderTypeName) {
            this.relOrderTypeName = relOrderTypeName;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public String getSupplierName() {
            return supplierName;
        }

        public void setSupplierName(String supplierName) {
            this.supplierName = supplierName;
        }

        public String getReceiveDeptName() {
            return receiveDeptName;
        }

        public void setReceiveDeptName(String receiveDeptName) {
            this.receiveDeptName = receiveDeptName;
        }

        public String getLaunchDeptName() {
            return launchDeptName;
        }

        public void setLaunchDeptName(String launchDeptName) {
            this.launchDeptName = launchDeptName;
        }

        public String getCreatedName() {
            return createdName;
        }

        public void setCreatedName(String createdName) {
            this.createdName = createdName;
        }
    }
}
